### Name: backtest-class
### Title: Class "backtest"
### Aliases: backtest-class show,backtest-method summary,backtest-method
###   means,backtest-method counts,backtest-method
###   marginals,backtest-method naCounts,backtest-method
###   turnover,backtest-method ci,backtest-method
###   plot,backtest,missing-method means counts marginals naCounts turnover
###   ci plot
### Keywords: classes

### ** Examples


data(starmine)
  
bt <- backtest(starmine, in.var = "smi", ret.var = "ret.0.1.m")

## summary for a pooled backtest

summary(bt)

## a natural backtest

bt <- backtest(starmine, in.var = "smi", ret.var =
"ret.0.1.m", date.var = "date", id.var = "id", natural = TRUE)

## summary for a natural backtest

summary(bt)

means(bt)
counts(bt)
marginals(bt)
naCounts(bt)

## draws a plot of turnover

plot(bt, type = "turnover")

## draws a plot of monthly spreads

plot(bt, type = "return")

## draws a fanplot of returns

plot(bt, type = "cumreturn")




